package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_condition_statistics.git/db/model"
	zhios_condition_statistics_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_condition_statistics.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func B2cOrdByTime(Db *xorm.Engine, uid, buyType, state, stime, etime interface{}) (float64, error) {
	total, err := Db.Where("uid = ?  AND state in (?) AND create_time > ? AND create_time < ?", uid, state, stime, etime).Sum(&model.B2cOrd{}, "cost_price")
	fmt.Println(err)
	fmt.Println(total)
	if err != nil {
		return 0, zhios_condition_statistics_logx.Error(err)
	}
	return total, nil
}
